<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitReqInternalLabel" jhiTranslate="mpmApp.unitReqInternal.home.createOrEditLabel">Create or edit a Unit Req Internal</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!unitReqInternal.idRequirement">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitReqInternal.idRequirement" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitReqInternal.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="unitReqInternal.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitReqInternal.qty" for="field_qty">Qty</label>
            <input currencyMask class="form-control" name="qty" id="field_qty"
                [(ngModel)]="unitReqInternal.qty" 
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitReqInternal.budget" for="field_budget">Budget</label>
            <input currencyMask class="form-control" name="budget" id="field_budget"
                [(ngModel)]="unitReqInternal.budget" 
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitReqInternal.dateCreate" for="field_dateCreate">Date Create</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="unitReqInternal.dateCreate"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitReqInternal.dateRequired" for="field_dateRequired">Date Required</label>
            <div class="input-group">
                <p-calendar inputId="field_dateRequired" name="input_dateRequired" [(ngModel)]="unitReqInternal.dateRequired"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.unitReqInternal.branch" for="field_branch">Branch</label>
            <select class="form-control" id="field_branch" name="branch" [(ngModel)]="unitReqInternal.branchId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="branchOption.idPartyRole" *ngFor="let branchOption of branches; trackBy: trackBranchById">{{branchOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.unitReqInternal.motor" for="field_motor">Motor</label>
            <select class="form-control" id="field_motor" name="motor" [(ngModel)]="unitReqInternal.motorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
